Subject: Re: Netlink messages without NLM_F_REQUEST flag

From: Jason Gunthorpe <jgunthorpe-ePGOBjL8dl3ta4EC/59zMFaTQe2KTcn/@public.gmane.org>
Date: Wed, 7 Jun 2017 10:47:50 -0600

On Wed, Jun 07, 2017 at 07:43:44PM +0300, Leon Romanovsky wrote:
> On Wed, Jun 7, 2017 at 7:37 PM, Jason Gunthorpe
> <jgunthorpe-ePGOBjL8dl3ta4EC/59zMFaTQe2KTcn/@public.gmane.org> wrote:
> > On Wed, Jun 07, 2017 at 07:19:01PM +0300, Leon Romanovsky wrote:
> >> It makes me wonder if it is expected behavior for
> >> ibnl_rcv_reply_skb() to handle !NLM_F_REQUEST messages and do we
> >> really need it? What are the scenarios?  In my use case, which is
> >> for sure different from yours, I'm always setting NLM_F_REQUEST
> >> while communicating with kernel.
> >
> > If I recall the user space SA code issues REQUESTS from the kernel to
> > userspace, so userspace returns with the response format. This is
> > abnormal for netlink hence the special function.
> 
> In netlink semantics, kernel side is supposed to send netlink
> notification message and userspace is supposed to send REQUEST.

That pattern is for async communications, the SA stuff needs a sync
protocol, unfortunately.

Jason
--
To unsubscribe from this list: send the line "unsubscribe linux-rdma" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html